> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://developers.fireblocks.com/feedback

```json
{
  "path": "/api-reference/network-connections/update-network-id-routing-policy",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Update network id routing policy.

> Updates the routing policy of a specified network ID.



## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml patch /network_ids/{networkId}/set_routing_policy
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /network_ids/{networkId}/set_routing_policy:
    patch:
      tags:
        - Network connections
      summary: Update network id routing policy.
      description: Updates the routing policy of a specified network ID.
      operationId: setNetworkIdRoutingPolicy
      parameters:
        - in: path
          name: networkId
          required: true
          description: The ID of the network
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SetNetworkIdRoutingPolicyRequest'
      responses:
        '200':
          description: Network ID
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SetNetworkIdResponse'
        default:
          $ref: '#/components/responses/Error'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response: Promise<FireblocksResponse<SetNetworkIdResponse>> =
            fireblocks.networkConnections.setNetworkIdRoutingPolicy(networkConnectionsApiSetNetworkIdRoutingPolicyRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<SetNetworkIdResponse>> response =
            fireblocks.networkConnections().setNetworkIdRoutingPolicy(networkId,
            setNetworkIdRoutingPolicyRequest);
        - lang: Python
          source: >-
            response =
            fireblocks.network_connections.set_network_id_routing_policy(network_id,
            set_network_id_routing_policy_request);
components:
  schemas:
    SetNetworkIdRoutingPolicyRequest:
      type: object
      properties:
        routingPolicy:
          $ref: '#/components/schemas/NetworkIdRoutingPolicy'
      required:
        - routingPolicy
    SetNetworkIdResponse:
      type: object
      properties:
        success:
          type: boolean
      required:
        - success
    NetworkIdRoutingPolicy:
      type: object
      additionalProperties:
        oneOf:
          - $ref: '#/components/schemas/CustomRoutingDest'
          - $ref: '#/components/schemas/NoneNetworkRoutingDest'
    ErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
    CustomRoutingDest:
      type: object
      properties:
        scheme:
          description: The network routing logic.
          type: string
          enum:
            - CUSTOM
        dstType:
          type: string
          description: The account the funds are being sent to.
          enum:
            - FIAT_ACCOUNT
            - VAULT
            - EXCHANGE
        dstId:
          type: string
          description: The ID of the account the funds are being sent to.
      required:
        - scheme
        - dstType
        - dstId
    NoneNetworkRoutingDest:
      type: object
      properties:
        scheme:
          type: string
          description: No network routing logic.
          enum:
            - NONE
      required:
        - scheme
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs
  responses:
    Error:
      description: Error Response
      headers:
        X-Request-ID:
          $ref: '#/components/headers/X-Request-ID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorSchema'

````